## luola 1.3.2

=== debian/changelog ===
luola (1.3.2-9) unstable; urgency=low

  * also define PATH_MAX in tools/im_wings.c

 -- Christian T. Steigies <cts@debian.org>  Mon, 14 May 2012 23:20:41 +0200

luola (1.3.2-8) unstable; urgency=low

  * define PATH_MAX in all files where it is used to
    really fix building on gnu-hurd
  * call dh_prep instead of dh_clean -k in install target
  * add Homepage and Vcs entries to control file
  * set LIBS instead of CFLAGS to build with ld --as-needed (closes: #646351)
  * add zlib1g-dev to Build-Depends (closes: #669519)
  * updated Standards-Version to 3.9.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Thu, 10 May 2012 23:39:33 +0200

luola (1.3.2-7) unstable; urgency=low

  * switch to dpkg-source 3.0 (quilt) format
  * do not include patched config.[guess|sub] in source package,
    files are updated at buildtime
  * define PATH_MAX to fix building on gnu-hurd

 -- Christian T. Steigies <cts@debian.org>  Sun, 04 Sep 2011 13:00:35 +0200

luola (1.3.2-6) unstable; urgency=low

  * updated Standards-Version to 3.9.2 (no changes)
  * add ${misc:Depends} to dependencies of luola and luola-data
  * remove obsolete call to dh_desktop
  * fix debian-rules-ignores-make-clean-error lintian warning
  * fix debian-rules-missing-recommended-target lintian warning
  * GNU config automated update: config.sub     (20080116 to 20110323),
    config.guess     (20080123 to 20110511)
  * recommend ttf-freefont and symlink to it instead of shipping it
  * remove recommends for unused tty-dejavu
  * configure with CFLAGS=-lm to fix building with binutils-gold
    (closes: #555569)
  
 -- Christian T. Steigies <cts@debian.org>  Wed, 31 Aug 2011 23:11:43 +0200

luola (1.3.2-5) unstable; urgency=low

  * install a desktop file (closes: #478921)
  * update copyright file

 -- Christian T. Steigies <cts@debian.org>  Sun, 15 Jun 2008 18:20:34 +0200

luola (1.3.2-4) unstable; urgency=medium

  [ Christian T. Steigies ]
  * recommend ttf-dejavu instead of ttf-bistream-vera (closes: #461273)
  * install the upstream desktop file
  * updated Standards-Version to 3.7.3, use section Games/Action according
    to the menu policy
  * update the upstream website and email address in debian/copyright
  * use debian/compat instead of DH_COMPAT
  * modify build-depends for libsdl1.2-dev as suggested by lintian
  * do not include empty /usr/share/games directories in package
  * GNU config automated update: config.sub     (20070118 to 20080116),
    config.guess     (20070306 to 20080123)

 -- Christian T. Steigies <cts@debian.org>  Sun, 09 Mar 2008 23:45:45 +0100

luola (1.3.2-3) unstable; urgency=low

  * use source:Version instead of Source-Version in control to make lula
    binNMU safe (closes: #435949)

 -- Christian T. Steigies <cts@debian.org>  Mon,  6 Aug 2007 22:32:14 +0200

luola (1.3.2-2) unstable; urgency=low

  * stop Build-Depending on automake (closes: #376540)
  * updated Standards-Version to 3.7.2, no changes

 -- Christian T. Steigies <cts@debian.org>  Sat, 15 Jul 2006 23:42:30 +0200

luola (1.3.2-1) unstable; urgency=low

  * New upstream release
  * use debhelper compatability version version 5
  * GNU config automated update: config.sub (20010813 to 20050422),
    config.guess (20020320 to 20050422)
  * GNU config automated update: config.sub     (20050422 to 20060223),
    config.guess     (20050422 to 20060223)

 -- Christian T. Steigies <cts@debian.org>  Mon, 24 Apr 2006 21:31:43 +0000

luola (1.3.0-1) unstable; urgency=low

  [ Christian T. Steigies ]
  * new upstream version (closes: #312086)
  * Calle changed his email and moved the source to a new location
  * update watch file to version 3 and new source location
  * set absolute paths in configure, prefix does not seem to be used anymore
  * GNU config automated update: config.sub (20010813 to 20050422),
    config.guess (20020320 to 20050422)
  * GNU config automated update: config.sub (20050422 to 20050708),
    config.guess (20050422 to 20050803)

 -- Christian T. Steigies <cts@debian.org>  Tue, 29 Nov 2005 23:10:23 +0000

luola (1.2.7-1) unstable; urgency=low

  * new upstream version
  * updated Standards-Version to 3.6.2.0, no changes
  * unapply patches with -N
  * unapply patches in clean target
  * fix formatting typo in manpage reported by Kevin Ryde (closes: #300642)
  * added a manpage rule to debian/rules to recreate manpage (only run when needed)
  * new endian patch from Calle

 -- Christian T. Steigies <cts@debian.org>  Mon, 25 Jul 2005 22:46:00 +0200

luola (1.2.6.dfsg-3) unstable; urgency=low

  * endian patch from Calle
  * GNU config automated update: config.sub (20041130 to 20050422),
    config.guess (20041112 to 20050422)

 -- Christian T. Steigies <cts@debian.org>  Mon,  6 Jun 2005 22:24:06 +0200

luola (1.2.6.dfsg-2) unstable; urgency=low

  * copyright is with the author

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 16:52:36 +0100

luola (1.2.6.dfsg-1) unstable; urgency=medium

  * remove non-free bluebold.ttf from package (closes: #298942)
  * recommend ttf-bitstream-vera as replacement font
  * describe how to use the non-free bluebold font, is the user wants to
  * suggest luola-nostalgy, which is in the archive now
  * GNU config automated update: config.sub (20010813 to 20041130),
    config.guess (20020320 to 20041112)

 -- Christian T. Steigies <cts@debian.org>  Fri, 11 Mar 2005 19:56:06 +0100

luola (1.2.6-1) unstable; urgency=low

  * New upstream release
  * uses new level format, used in luola-levels >= 5.1
  * fix lintian warnings about menu:
    - add quotes in menu entry
    - menu icons now seem to belong in /usr/share/pixmaps
    - change menu, rules and dirs accordingly

 -- Christian T. Steigies <cts@debian.org>  Sun, 16 Jan 2005 21:28:21 +0100

luola (1.2.5-1) unstable; urgency=low

  * New upstream release
  * audio and amd64 patch are included upstream

 -- Christian T. Steigies <cts@debian.org>  Sun,  2 Jan 2005 14:49:52 +0100

luola (1.2.4-1) unstable; urgency=low


