=== debian/control ===
Source: luola
Section: games
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Build-Depends: autoconf,
               autotools-dev,
               debhelper (>> 5.0.0),
               devscripts,
               libsdl-gfx1.2-dev,
               libsdl-image1.2-dev (>=1.2.2-3),
               libsdl-mixer1.2-dev (>=1.2.4-1.1),
               libsdl-ttf2.0-dev,
               libsdl1.2-dev (>=1.2.4),
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.luolamies.org/software/luola/
Vcs-Git: git://git.debian.org/collab-maint/luola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/luola.git

Package: luola
Architecture: any
Depends: luola-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: multiplayer cave-flying game
 Luola is a 2D arcade game where you fly a small V shaped ship in different
 kinds of levels.
 .
 Luola's genre "Luolalentely," or cave-flying, has been
 very popular in Finland.   Although cave-flying games
 are not originally from Finland, most new cave-flying
 games are.

Package: luola-data
Architecture: all
Depends: luola-levels (>=5.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: ttf-freefont
Suggests: luola-nostalgy
Description: data files for luola
 Luola is a 2D arcade game where you fly a small V shaped ship in different
 kinds of levels.
 .
 Luola's genre "Luolalentely," or cave-flying, has been
 very popular in Finland.   Although cave-flying games
 are not originally from Finland, most new cave-flying
 games are.
 .
 This package contains sound and image files for luola.
